/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "headers.h"

extern void drawTitle();
extern void drawControlPanel();
extern void drawWidgets();
extern void loadWidgets(const char *filename);
extern void drawUnits();
extern void saveGameData(bool autoSaving);
extern void saveGame();
extern void doBullets();
extern void doItems();
extern void centerOnUnit(Unit *unit);
extern void setStatusIndicator();
extern void doLineOfSight(Unit *unit);
extern void blobCheckEnemyMovement();
extern void drawContextItems();
extern void doDebriefing();
extern void updateFire();
extern void drawMap();
extern void doPlayerTurn();
extern void doEnemyTurn();
extern void resetControlsForUnit(Unit *unit);
extern void doDecoration();
extern void drawDecoration();
extern void doParticles();
extern void doEmitters();
extern void drawMouseVector();
extern bool itemExplosions();
extern void doDebriefing();
extern void triggerExplosion(float mapX, float mapY, float mapZ, int size);
extern bool allObjectivesComplete();
extern bool allEnemyUnitsDead();
extern void loadAllBattleResources();
extern void loadMapAudio();
extern void doPreBattlePlayerSetup();
extern void doPlayer();
extern void doBullets();
extern void drawInfoPanel();
extern void drawSelectedUnit();
extern void doEnemies();
extern void doBlobs();
extern void doTriggers();
extern void doFeatures();
extern void showMissionStatusPanel(bool missionFinished);
extern void renderBSP();
extern void drawSkyDome(Vector position, int size, Texture *texture);
extern void resetPlayer();
extern void resetEnemyThinkTimes();
extern void doWeather();
extern void doStructures();
extern void doInGameOptions();
extern int doGameOver();
extern void showMessageDialog(const char *message, const char *buttonLabel);
extern void spawnRandomEnemy();
extern void checkEntityToOthers(Entity *entity);
extern bool checkEntityToWorld(Entity *entity);
extern void doInGameCutscene();
extern void drawParticles();
extern void drawBSP(bool drawBlended);
extern void drawLaserSight(Unit *unit);
extern void generateShadows();
extern void generateDecals();
extern void drawShadow();
extern void drawDecals();
extern bool isOkayToSpawnEnemies();
extern void drawGrapplingHook();
extern void doTraps();
extern void drawTriggers();
extern void doDecals();
extern void doExplosion(Vector position, int size, Entity *owner);
extern void disableSavePoints();
extern void drawOnScreenTargetter();
extern void doBosses();
extern void removeSpecialWeapons();
extern void processCutscene(List *data);
extern void saveRestartData();
extern void drawBox(Vector position, float width, float length, float height, float tcm);

extern Audio *audio;
extern BSP *bsp;
extern BoundingBoxManager *bbManager;
extern Camera *camera;
extern CrumbBox crumbBox;
extern Engine *engine;
extern EntityManager *entityManager;
extern Game *game;
extern Graphics *graphics;
extern Map *map;
extern Mission *mission;
extern ModelManager *modelManager;
extern Mouse *mouse;
extern ParticleManager *particleManager;
extern TextureManager *textureManager;
extern TextureSpecManager *textureSpecManager;
extern Trace *tracer;
extern UIManager *uiManager;
extern Unit *player;
