/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "../attributes.h"

class String : public Linkable {

	private:

		char *text;
		int length;
		
		static char tmpString[1024];

	public:

	String();
	String(const char *text);
	~String();

	void trim();

	void operator= (String string);
	void operator= (const char *text);
	bool operator== (const char *text);
	bool operator== (String string);
	bool operator!= (const char *text);
	bool operator!= (String string);
	
	void toLowerCase();
	void toUpperCase();
	void captialise();

	void setText(const char *text, ...) GCC_PRINTF(2,3);
	char *getText();
	int getLength();

};
