/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#include "../headers.h"

extern void faceLocation(Unit *unit, Vector location);
extern void faceTarget(Unit *unit);
extern void attackTarget(Unit *unit);
extern void attackTargetScatter(Unit *unit);
extern bool enemySightTarget(Unit *unit, int range);
extern void enemyMoveToTarget(Unit *unit);
extern void throwExplosionDebris(Vector position);
extern void throwFleshChunk(Vector position, bool underWater);
extern void throwSpawnedItem(Entity *item);
extern void doExplosion(Vector position, int size, Entity *owner);
extern void addEnemy(int enemyId, Vector position);
extern void addEnemy(Properties *props);
extern void addTeleportParticles(Vector position);
extern Weapon *addWeapon(Properties *props);
extern Item *addItem(Properties *props);
extern void addSmokeParticle(Vector position);
extern int getSoundDistanceFromPlayer(Vector position);
extern void generalMechLargeExplosion();
extern void drawMD2(Entity *ent);

extern Audio *audio;
extern BSP *bsp;
extern BoundingBoxManager *bbManager;
extern Camera *camera;
extern Engine *engine;
extern EntityManager *entityManager;
extern Game *game;
extern Graphics *graphics;
extern Map *map;
extern Mission *mission;
extern ModelManager *modelManager;
extern RandomNameGenerator *randomNameGenerator;
extern TextureManager *textureManager;
extern Trace *tracer;
extern Unit *player;
extern UIManager *uiManager;

extern Entity *self;
