/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#define GL_GLEXT_PROTOTYPES

#include "stdlib.h"
#include "stdio.h"
#include "string.h"
#include "math.h"
#include "time.h"
#include "stdarg.h"
#include "ctype.h"

#include "zlib.h"

#include "libintl.h"
#define _(string) gettext(string)

#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_mixer.h"
#include "SDL/SDL_ttf.h"
#include "SDL/SDL_endian.h"

#include "GL/gl.h"
#include "GL/glu.h"
#include <GL/glext.h>

#include "defs.h"
#include "../data/gameDefs/defines.h"

#include "common/CLinkable.h"

#include "common/CString.h"

#include "3d/CPoint.h"
#include "3d/CVector.h"
#include "3d/CVectori.h"

#include "system/CMath.h"

#include "system/CGLColor.h"

#include "common/CReference.h"
#include "util/CList.h"

#include "util/CData.h"
#include "util/CHashtable.h"
#include "util/CProperties.h"

#include "3d/CPlane.h"
#include "3d/CFace.h"
#include "3d/CBoundingBox.h"

#include "3d/CTrace.h"

#include "system/CGeometry.h"

#include "system/CSprite.h"
#include "system/CTexture.h"
#include "system/CTextureSpec.h"

#include "3d/CTriangle.h"
#include "3d/CSimpleModel.h"
#include "3d/CMDLModel.h"
#include "3d/CMD2.h"

#include "game/CCrumb.h"
#include "game/CCrumbBox.h"

#include "gui/CGrid.h"
#include "gui/CBaseWidget.h"
#include "gui/CPanel.h"
#include "gui/CLabel.h"
#include "gui/CButton.h"
#include "gui/CCheckBox.h"
#include "gui/CListViewItem.h"
#include "gui/CListView.h"
#include "gui/CSlider.h"
#include "gui/CComboBox.h"
#include "gui/CInputWidget.h"

#include "game/CEntityDef.h"
#include "game/CItemDef.h"
#include "game/CWeaponDef.h"
#include "game/CBlobDef.h"
#include "game/CEnemyDef.h"
#include "game/CFeatureDef.h"
#include "game/CBossDef.h"

#include "game/CEntity.h"
#include "game/CItem.h"
#include "game/CWeapon.h"
#include "game/CStructure.h"
#include "game/CDoor.h"
#include "game/CSwitch.h"
#include "game/CUnit.h"
#include "game/CBullet.h"
#include "game/CBoss.h"
#include "game/CDecoration.h"
#include "game/CFeature.h"
#include "game/CEmitter.h"
#include "game/CTrap.h"

#include "game/CQ3Target.h"
#include "game/CCutsceneCamera.h"

#include "3d/CBSP.h"
#include "3d/CBoundingBoxManager.h"

#include "game/CDecal.h"

#include "game/CEntityManager.h"

#include "game/CRandomNameGen.h"

#include "3d/CFrustum.h"
#include "system/CCamera.h"

#include "game/CParticle.h"

#include "system/CModelManager.h"
#include "system/CTextureManager.h"
#include "system/CParticleManager.h"
#include "system/CTextureSpecManager.h"

#include "system/CFileData.h"
#include "system/CPak.h"

#include "game/CSaveGameHeader.h"

#include "system/CMouse.h"
#include "system/CEngine.h"
#include "system/CAudio.h"
#include "system/CGraphics.h"
#include "system/CUIManager.h"
#include "system/CCollision.h"

#include "game/CGame.h"

#include "game/CObjective.h"
#include "game/CTrigger.h"
#include "game/CMission.h"

#include "game/CMap.h"

#include "game/CCutsceneCommand.h"
