/*
Copyright (C) 2006 Parallel Realities

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

class Pak {

	private:

		static Pak instance;

		unsigned int numberOfFiles;
		unsigned int uncompressedSize;
		Bytef *input;

		Hashtable fileDataTable;

		char pakFilename[1024];
		
		char validFileName[1024];

		char filename[PAK_MAX_FILENAME];

	Pak();
	void showPakErrorAndExit() GCC_NORETURN;
	bool fileExistsInPak(const char *filename);
	bool fileExistsInFS(const char *filename);

	public:

	static Pak *getInstance();
	~Pak();
	
	void clear();
	
	void setPakFile(const char *pakFilename);
	
	bool unpack(const char *filename, unsigned char **buffer);
	
	int getFileLocation(const char *filename);
	
	char *getFileName();
	
	unsigned int getUncompressedSize();

};
